# Start reset by Email OTP

Starts a password reset flow by sending an Email OTP. Required permissions: apps:execute, [appId]:execute, auth:execute.

Endpoint: POST /v1/auth/password/reset/email/otp
Security: ClientAccessToken

## Request fields (application/json):

  - `prev_reset_token` (string)
    Reset token that contains mfa_required as true. Should be passed when initiating a second factor authentication, in case MFA is required for password reset flows.

  - `ignore_mfa` (boolean)
    Allows resetting the password without MFA in case MFA is required for password reset flows

  - `email` (string, required)
    The user's primary email address

  - `email_content` (object)
    Texts, logo and color to render email template with

  - `email_content.subject` (string, required)
    The subject of the email

  - `email_content.primaryColor` (string)
    Primary color of the email, specified as a Hex color
    Example: "#6981FF"

  - `email_content.base64logo` (string)
    Base64 encoded image for email logo. The string length must be less than or equal to 20000 characters

  - `email_content.headerText` (string)
    The header of the email

  - `email_content.bodyText` (string)
    The body of the email

  - `email_content.linkText` (string)
    The text of the link button in the email

  - `email_content.infoText` (string)
    Any extra information in the email

  - `email_content.footerText` (string)
    The footer of the email
    Example: "If you didn't request this email, you can safely ignore it."

  - `email_content.senderName` (string)
    Name of the sender of the email

## Response 200 fields (application/json):

  - `message` (string, required)
    Example: "Email Sent"

## Response 403 fields (application/json):

  - `error_code` (string)
    Enum: "system_forbidden", "auth_login_preferences_missing", "auth_password_invalid_reset_token", "user_not_active"

  - `message` (string)

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "app_not_exist", "user_email_address_missing", "user_phone_number_missing", "user_not_found"

  - `message` (string)

## Response 503 fields (application/json):

  - `error_code` (string)
    Enum: "system_service_unavailable"

  - `message` (string)


